SMAPHMM-class {SMAP} | R Documentation

## Class "SMAPHMM": A class to manage HMMs for the SMAP package

### Description

Holds parameters for a Hidden Markov Model (HMM) used in the SMAP package.

### Objects from the Class

Objects are not intended to be created directly but via the constructor function `SMAPHMM`.

### Slots

`A`:
  Object of class `"matrix"` The transition probability matrix between states.
`Pi`:
  Object of class `"numeric"` The initial probabilities of starting in a certain state.
`Phi`:
  Object of class `"matrix"` A matrix that specifies the paramaters of Gaussian distributions associated with each hidden state. The first column specifies standard deviations, the second specifies means.
`noStates`:
  Object of class `"numeric"` The number of hidden states in the HMM.

### Methods

A
  `signature(object = "SMAPHMM")`: Returns the transition matrix.
Pi
  `signature(object = "SMAPHMM")`: Returns the initial probabilities.
Phi
  `signature(object = "SMAPHMM")`: Returns the distribution parameter matrix.
noStates
  `signature(object = "SMAPHMM")`: Returns the number of hidden states in the HMM.

### Author(s)

Robin Andersson, robin.andersson@lcb.uu.se

### References

Andersson, R., Bruder, C. E. G., Piotrowski, A., Menzel, U., Nord, H., Sandgren, J., Hvidsten, T. R., Diaz de Stahl, T., Dumanski, J. P., Komorowski, J., A Segmental Maximum A Posteriori Approach to Array-CGH Copy Number Profiling, submitted

### See Also

`smap`, `SMAPHMM`

[Package SMAP version 1.6.0 Index]